Subject: bug#18699: 25.0.50; Windows 7: Odd length text property list

From: Eli Zaretskii <[email-masked]>
Date: Tue, 14 Oct 2014 09:09:31 +0300

> From: [email-masked] (Óscar Fuentes)
> Cc: [email-masked],  [email-masked]
> Date: Mon, 13 Oct 2014 22:35:45 +0200
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > A 64-bit build on Windows, whether a Cygwin build or a MinGW64 build,
> > doesn't need the force_align_arg_pointer, since the 64-bit ABI
> > requires the 8-byte alignment.  The __x86_64__ is there to exclude the
> > 64-bit Cygwin build.  If it can also exclude the MinGW64 build, we
> > don't need any MinGW64-specific symbols there.
> 
> As mentioned on a previous message, __x86_64__ will exclude Windows 64
> on x86* processors, but not on others (i.e. ARM).

We could decide not to worry about that until we need to support a
Windows build on any of those others.  Like we do with Cygwin.